"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const error = require("../../utils/error.js");
const Vue = require("vue");
const useDeprecated = ({ from, replacement, scope, version, ref, type = "API" }, condition) => {
  Vue.watch(() => Vue.unref(condition), (val) => {
    if (val) error.debugWarn(scope, `[${type}] ${from} is about to be deprecated in version ${version}, please use ${replacement} instead.
For more detail, please visit: ${ref}
`);
  }, { immediate: true });
};
exports.useDeprecated = useDeprecated;
